%define usejackstart 1

Summary:      Qt based JACK control application
Name:         qjackctl
Version:      0.2.20
Release:      1%{?dist}
URL:          http://qjackctl.sourceforge.net
Source0:      %{name}-%{version}.tar.gz
License:      GPL
Group:        Applications/Multimedia
BuildRoot:    %{_tmppath}/%{name}-%{version}-root
Requires:     jack-audio-connection-kit >= 0.80.0
BuildRequires: gcc-c++, qt-devel, xorg-x11-proto-devel
BuildRequires: alsa-lib-devel jack-audio-connection-kit-devel

%description
Qjackctl is a simple Qt application to control the JACK sound server
daemon, specific for the Linux Audio Desktop infrastructure.

%prep
%setup -q -n %{name}-%{version}

%build

%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall

cat << EOF > startcom-%{name}.desktop
[Desktop Entry]
Name=Qjackctl
Comment=JACK control application
Icon=qjackctl.png
Exec=%{_bindir}/%{name}
Terminal=false
Type=Application
EOF

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor startcom \
    --dir %{buildroot}%{_datadir}/applications    \
    --add-category X-StartCom-Base                 \
    --add-category AudioVideo                     \
    --add-category Application                    \
    startcom-%{name}.desktop

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL README TODO
%{_bindir}/qjackctl
%{_datadir}/icons/qjackctl.png
%{_datadir}/applications/startcom-%{name}.desktop

%changelog
* Mon Apr 17 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x
- Upgrade to 0.2.20

* Mon May 30 2005 Eddy Nigg <eddy_nigg@startcom.org>
- more changes for StartCom Linux 4.0.x
